Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce
Class ProviderConfigurationPermission

    java.lang.Object
      java.security.Permission
          java.security.BasicPermission
              org.bouncycastle.jce.ProviderConfigurationPermission

All Implemented Interfaces:
  java.io.Serializable, java.security.Guard

    public class ProviderConfigurationPermission

extends java.security.BasicPermission

A permission class to define what can be done with the ConfigurableProvider interface.

Available permissions are "threadLocalEcImplicitlyCa" and "ecImplicitlyCa" which allow the setting of the thread local and global ecImplicitlyCa parameters respectively.

Examples:

- ProviderConfigurationPermission("BC"); // enable all permissions
- ProviderConfigurationPermission("BC", "threadLocalEcImplicitlyCa"); // enable thread local only
- ProviderConfigurationPermission("BC", "ecImplicitlyCa"); // enable global setting only
- ProviderConfigurationPermission("BC", "threadLocalEcImplicitlyCa, ecImplicitlyCa"); // enable both explicitly

Note: permission checks are only enforced if a security manager is present.

See Also:
  Serialized Form

Constructor Summary
`ProviderConfigurationPermission(java.lang.String name)`
`ProviderConfigurationPermission(java.lang.String name, java.lang.String actions)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getActions()`
`int` `hashCode()`
`boolean` `implies(java.security.Permission permission)`

Methods inherited from class java.security.BasicPermission
`newPermissionCollection`

Methods inherited from class java.security.Permission
`checkGuard, getName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProviderConfigurationPermission

    public ProviderConfigurationPermission(java.lang.String name)

### ProviderConfigurationPermission

    public ProviderConfigurationPermission(java.lang.String name,
                                           java.lang.String actions)

Method Detail

### getActions

    public java.lang.String getActions()

  Overrides:
    `getActions` in class `java.security.BasicPermission`

### implies

    public boolean implies(java.security.Permission permission)

  Overrides:
    `implies` in class `java.security.BasicPermission`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.security.BasicPermission`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.security.BasicPermission`

Bouncy Castle Cryptography Library 1.45